Index: branches/DataPreprocessingImprovements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.Designer.cs
===================================================================
--- branches/DataPreprocessingImprovements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.Designer.cs	(revision 12501)
+++ branches/DataPreprocessingImprovements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.Designer.cs	(revision 12502)
@@ -49,4 +49,5 @@
       this.label10 = new System.Windows.Forms.Label();
       this.tabDataShuffle = new System.Windows.Forms.TabPage();
+      this.shuffleSeparatelyCheckbox = new System.Windows.Forms.CheckBox();
       this.lblShuffleProperties = new System.Windows.Forms.Label();
       this.grpBoxPreview = new System.Windows.Forms.GroupBox();
@@ -66,5 +67,6 @@
       this.lblPreviewShuffle = new System.Windows.Forms.Label();
       this.label9 = new System.Windows.Forms.Label();
-      this.shuffleSeparatelyCheckbox = new System.Windows.Forms.CheckBox();
+      this.panel1 = new System.Windows.Forms.Panel();
+      this.panel2 = new System.Windows.Forms.Panel();
       this.grpBoxData.SuspendLayout();
       this.tabsData.SuspendLayout();
@@ -83,4 +85,6 @@
       this.tabPreviewReplaceMissingValues.SuspendLayout();
       this.tabPreviewShuffle.SuspendLayout();
+      this.panel1.SuspendLayout();
+      this.panel2.SuspendLayout();
       this.SuspendLayout();
       // 
@@ -90,4 +94,5 @@
             | System.Windows.Forms.AnchorStyles.Right)));
       this.lstMethods.FormattingEnabled = true;
+      this.lstMethods.ItemHeight = 16;
       this.lstMethods.Items.AddRange(new object[] {
             "Delete Columns with insufficient Information",
@@ -96,7 +101,8 @@
             "Replace Missing Values",
             "Shuffle Data"});
-      this.lstMethods.Location = new System.Drawing.Point(3, 3);
+      this.lstMethods.Location = new System.Drawing.Point(4, 4);
+      this.lstMethods.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.lstMethods.Name = "lstMethods";
-      this.lstMethods.Size = new System.Drawing.Size(733, 95);
+      this.lstMethods.Size = new System.Drawing.Size(976, 116);
       this.lstMethods.Sorted = true;
       this.lstMethods.TabIndex = 0;
@@ -107,7 +113,8 @@
       this.btnApply.Anchor = ((System.Windows.Forms.AnchorStyles)((System.Windows.Forms.AnchorStyles.Bottom | System.Windows.Forms.AnchorStyles.Right)));
       this.btnApply.Enabled = false;
-      this.btnApply.Location = new System.Drawing.Point(603, 500);
+      this.btnApply.Location = new System.Drawing.Point(804, 615);
+      this.btnApply.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.btnApply.Name = "btnApply";
-      this.btnApply.Size = new System.Drawing.Size(129, 23);
+      this.btnApply.Size = new System.Drawing.Size(172, 28);
       this.btnApply.TabIndex = 2;
       this.btnApply.Text = "Apply Manipulation";
@@ -120,7 +127,9 @@
             | System.Windows.Forms.AnchorStyles.Right)));
       this.grpBoxData.Controls.Add(this.tabsData);
-      this.grpBoxData.Location = new System.Drawing.Point(4, 105);
+      this.grpBoxData.Location = new System.Drawing.Point(5, 129);
+      this.grpBoxData.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.grpBoxData.Name = "grpBoxData";
-      this.grpBoxData.Size = new System.Drawing.Size(732, 189);
+      this.grpBoxData.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.grpBoxData.Size = new System.Drawing.Size(976, 233);
       this.grpBoxData.TabIndex = 3;
       this.grpBoxData.TabStop = false;
@@ -138,8 +147,9 @@
       this.tabsData.Controls.Add(this.tabDataShuffle);
       this.tabsData.ItemSize = new System.Drawing.Size(58, 18);
-      this.tabsData.Location = new System.Drawing.Point(6, 19);
+      this.tabsData.Location = new System.Drawing.Point(8, 23);
+      this.tabsData.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabsData.Name = "tabsData";
       this.tabsData.SelectedIndex = 0;
-      this.tabsData.Size = new System.Drawing.Size(719, 164);
+      this.tabsData.Size = new System.Drawing.Size(959, 202);
       this.tabsData.TabIndex = 3;
       // 
@@ -148,7 +158,8 @@
       this.tabPage1.Controls.Add(this.label7);
       this.tabPage1.Location = new System.Drawing.Point(4, 22);
+      this.tabPage1.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabPage1.Name = "tabPage1";
-      this.tabPage1.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPage1.Size = new System.Drawing.Size(711, 138);
+      this.tabPage1.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabPage1.Size = new System.Drawing.Size(951, 176);
       this.tabPage1.TabIndex = 5;
       this.tabPage1.Text = "tabDataInactive";
@@ -159,7 +170,8 @@
       this.label7.AutoSize = true;
       this.label7.Enabled = false;
-      this.label7.Location = new System.Drawing.Point(3, 3);
+      this.label7.Location = new System.Drawing.Point(4, 4);
+      this.label7.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label7.Name = "label7";
-      this.label7.Size = new System.Drawing.Size(259, 13);
+      this.label7.Size = new System.Drawing.Size(345, 17);
       this.label7.TabIndex = 1;
       this.label7.Text = "Please select one of the manipulation methods above";
@@ -171,7 +183,8 @@
       this.tabDataDeleteColumnsInformation.Controls.Add(this.label1);
       this.tabDataDeleteColumnsInformation.Location = new System.Drawing.Point(4, 22);
+      this.tabDataDeleteColumnsInformation.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabDataDeleteColumnsInformation.Name = "tabDataDeleteColumnsInformation";
-      this.tabDataDeleteColumnsInformation.Padding = new System.Windows.Forms.Padding(3);
-      this.tabDataDeleteColumnsInformation.Size = new System.Drawing.Size(711, 138);
+      this.tabDataDeleteColumnsInformation.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabDataDeleteColumnsInformation.Size = new System.Drawing.Size(951, 176);
       this.tabDataDeleteColumnsInformation.TabIndex = 0;
       this.tabDataDeleteColumnsInformation.Text = "del columns info";
@@ -181,7 +194,8 @@
       // 
       this.label2.AutoSize = true;
-      this.label2.Location = new System.Drawing.Point(204, 3);
+      this.label2.Location = new System.Drawing.Point(272, 4);
+      this.label2.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label2.Name = "label2";
-      this.label2.Size = new System.Drawing.Size(89, 13);
+      this.label2.Size = new System.Drawing.Size(120, 17);
       this.label2.TabIndex = 5;
       this.label2.Text = "% missing values.";
@@ -189,7 +203,8 @@
       // txtDeleteColumnsInfo
       // 
-      this.txtDeleteColumnsInfo.Location = new System.Drawing.Point(164, 0);
+      this.txtDeleteColumnsInfo.Location = new System.Drawing.Point(219, 0);
+      this.txtDeleteColumnsInfo.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.txtDeleteColumnsInfo.Name = "txtDeleteColumnsInfo";
-      this.txtDeleteColumnsInfo.Size = new System.Drawing.Size(34, 20);
+      this.txtDeleteColumnsInfo.Size = new System.Drawing.Size(44, 22);
       this.txtDeleteColumnsInfo.TabIndex = 4;
       this.txtDeleteColumnsInfo.TextChanged += new System.EventHandler(this.txtDeleteColumnsInfo_TextChanged);
@@ -198,7 +213,8 @@
       // 
       this.label1.AutoSize = true;
-      this.label1.Location = new System.Drawing.Point(3, 3);
+      this.label1.Location = new System.Drawing.Point(4, 4);
+      this.label1.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label1.Name = "label1";
-      this.label1.Size = new System.Drawing.Size(155, 13);
+      this.label1.Size = new System.Drawing.Size(205, 17);
       this.label1.TabIndex = 3;
       this.label1.Text = "Delete columns with more than ";
@@ -209,7 +225,8 @@
       this.tabDataDeleteColumnsVariance.Controls.Add(this.label4);
       this.tabDataDeleteColumnsVariance.Location = new System.Drawing.Point(4, 22);
+      this.tabDataDeleteColumnsVariance.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabDataDeleteColumnsVariance.Name = "tabDataDeleteColumnsVariance";
-      this.tabDataDeleteColumnsVariance.Padding = new System.Windows.Forms.Padding(3);
-      this.tabDataDeleteColumnsVariance.Size = new System.Drawing.Size(711, 138);
+      this.tabDataDeleteColumnsVariance.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabDataDeleteColumnsVariance.Size = new System.Drawing.Size(951, 176);
       this.tabDataDeleteColumnsVariance.TabIndex = 1;
       this.tabDataDeleteColumnsVariance.Text = "del columns variance";
@@ -218,7 +235,8 @@
       // txtDeleteColumnsVariance
       // 
-      this.txtDeleteColumnsVariance.Location = new System.Drawing.Point(229, 0);
+      this.txtDeleteColumnsVariance.Location = new System.Drawing.Point(305, 0);
+      this.txtDeleteColumnsVariance.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.txtDeleteColumnsVariance.Name = "txtDeleteColumnsVariance";
-      this.txtDeleteColumnsVariance.Size = new System.Drawing.Size(135, 20);
+      this.txtDeleteColumnsVariance.Size = new System.Drawing.Size(179, 22);
       this.txtDeleteColumnsVariance.TabIndex = 4;
       this.txtDeleteColumnsVariance.TextChanged += new System.EventHandler(this.txtDeleteColumnsVariance_TextChanged);
@@ -227,7 +245,8 @@
       // 
       this.label4.AutoSize = true;
-      this.label4.Location = new System.Drawing.Point(3, 3);
+      this.label4.Location = new System.Drawing.Point(4, 4);
+      this.label4.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label4.Name = "label4";
-      this.label4.Size = new System.Drawing.Size(220, 13);
+      this.label4.Size = new System.Drawing.Size(292, 17);
       this.label4.TabIndex = 3;
       this.label4.Text = "Delete columns with a variance smaller than  ";
@@ -239,7 +258,8 @@
       this.tabDataDeleteRowsInfo.Controls.Add(this.label5);
       this.tabDataDeleteRowsInfo.Location = new System.Drawing.Point(4, 22);
+      this.tabDataDeleteRowsInfo.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabDataDeleteRowsInfo.Name = "tabDataDeleteRowsInfo";
-      this.tabDataDeleteRowsInfo.Padding = new System.Windows.Forms.Padding(3);
-      this.tabDataDeleteRowsInfo.Size = new System.Drawing.Size(711, 138);
+      this.tabDataDeleteRowsInfo.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabDataDeleteRowsInfo.Size = new System.Drawing.Size(951, 176);
       this.tabDataDeleteRowsInfo.TabIndex = 2;
       this.tabDataDeleteRowsInfo.Text = "del rows info";
@@ -249,7 +269,8 @@
       // 
       this.label3.AutoSize = true;
-      this.label3.Location = new System.Drawing.Point(189, 3);
+      this.label3.Location = new System.Drawing.Point(252, 4);
+      this.label3.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label3.Name = "label3";
-      this.label3.Size = new System.Drawing.Size(89, 13);
+      this.label3.Size = new System.Drawing.Size(120, 17);
       this.label3.TabIndex = 8;
       this.label3.Text = "% missing values.";
@@ -257,7 +278,8 @@
       // txtDeleteRowsInfo
       // 
-      this.txtDeleteRowsInfo.Location = new System.Drawing.Point(147, 0);
+      this.txtDeleteRowsInfo.Location = new System.Drawing.Point(196, 0);
+      this.txtDeleteRowsInfo.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.txtDeleteRowsInfo.Name = "txtDeleteRowsInfo";
-      this.txtDeleteRowsInfo.Size = new System.Drawing.Size(34, 20);
+      this.txtDeleteRowsInfo.Size = new System.Drawing.Size(44, 22);
       this.txtDeleteRowsInfo.TabIndex = 7;
       this.txtDeleteRowsInfo.TextChanged += new System.EventHandler(this.txtDeleteRowsInfo_TextChanged);
@@ -266,7 +288,8 @@
       // 
       this.label5.AutoSize = true;
-      this.label5.Location = new System.Drawing.Point(3, 3);
+      this.label5.Location = new System.Drawing.Point(4, 4);
+      this.label5.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label5.Name = "label5";
-      this.label5.Size = new System.Drawing.Size(138, 13);
+      this.label5.Size = new System.Drawing.Size(182, 17);
       this.label5.TabIndex = 6;
       this.label5.Text = "Delete rows with more than ";
@@ -281,7 +304,8 @@
       this.tabReplaceMissingValues.Controls.Add(this.label10);
       this.tabReplaceMissingValues.Location = new System.Drawing.Point(4, 22);
+      this.tabReplaceMissingValues.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabReplaceMissingValues.Name = "tabReplaceMissingValues";
-      this.tabReplaceMissingValues.Padding = new System.Windows.Forms.Padding(3);
-      this.tabReplaceMissingValues.Size = new System.Drawing.Size(711, 138);
+      this.tabReplaceMissingValues.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabReplaceMissingValues.Size = new System.Drawing.Size(951, 176);
       this.tabReplaceMissingValues.TabIndex = 6;
       this.tabReplaceMissingValues.Text = "repl missing vals";
@@ -290,7 +314,8 @@
       // txtReplaceValue
       // 
-      this.txtReplaceValue.Location = new System.Drawing.Point(173, 27);
+      this.txtReplaceValue.Location = new System.Drawing.Point(231, 33);
+      this.txtReplaceValue.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.txtReplaceValue.Name = "txtReplaceValue";
-      this.txtReplaceValue.Size = new System.Drawing.Size(100, 20);
+      this.txtReplaceValue.Size = new System.Drawing.Size(132, 22);
       this.txtReplaceValue.TabIndex = 2;
       this.txtReplaceValue.TextChanged += new System.EventHandler(this.txtReplaceValue_TextChanged);
@@ -300,7 +325,8 @@
       this.cmbVariableNames.DropDownStyle = System.Windows.Forms.ComboBoxStyle.DropDownList;
       this.cmbVariableNames.FormattingEnabled = true;
-      this.cmbVariableNames.Location = new System.Drawing.Point(142, 0);
+      this.cmbVariableNames.Location = new System.Drawing.Point(189, 0);
+      this.cmbVariableNames.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.cmbVariableNames.Name = "cmbVariableNames";
-      this.cmbVariableNames.Size = new System.Drawing.Size(121, 21);
+      this.cmbVariableNames.Size = new System.Drawing.Size(160, 24);
       this.cmbVariableNames.TabIndex = 1;
       this.cmbVariableNames.SelectedIndexChanged += new System.EventHandler(this.cmbReplaceWith_SelectedIndexChanged);
@@ -316,7 +342,8 @@
             "Most Common",
             "Random"});
-      this.cmbReplaceWith.Location = new System.Drawing.Point(35, 27);
+      this.cmbReplaceWith.Location = new System.Drawing.Point(47, 33);
+      this.cmbReplaceWith.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.cmbReplaceWith.Name = "cmbReplaceWith";
-      this.cmbReplaceWith.Size = new System.Drawing.Size(121, 21);
+      this.cmbReplaceWith.Size = new System.Drawing.Size(160, 24);
       this.cmbReplaceWith.TabIndex = 1;
       this.cmbReplaceWith.SelectedIndexChanged += new System.EventHandler(this.cmbReplaceWith_SelectedIndexChanged);
@@ -325,7 +352,8 @@
       // 
       this.lblValueColon.AutoSize = true;
-      this.lblValueColon.Location = new System.Drawing.Point(157, 30);
+      this.lblValueColon.Location = new System.Drawing.Point(209, 37);
+      this.lblValueColon.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.lblValueColon.Name = "lblValueColon";
-      this.lblValueColon.Size = new System.Drawing.Size(10, 13);
+      this.lblValueColon.Size = new System.Drawing.Size(12, 17);
       this.lblValueColon.TabIndex = 0;
       this.lblValueColon.Text = ":";
@@ -334,7 +362,8 @@
       // 
       this.label8.AutoSize = true;
-      this.label8.Location = new System.Drawing.Point(3, 30);
+      this.label8.Location = new System.Drawing.Point(4, 37);
+      this.label8.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label8.Name = "label8";
-      this.label8.Size = new System.Drawing.Size(26, 13);
+      this.label8.Size = new System.Drawing.Size(32, 17);
       this.label8.TabIndex = 0;
       this.label8.Text = "with";
@@ -343,7 +372,8 @@
       // 
       this.label10.AutoSize = true;
-      this.label10.Location = new System.Drawing.Point(3, 3);
+      this.label10.Location = new System.Drawing.Point(4, 4);
+      this.label10.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label10.Name = "label10";
-      this.label10.Size = new System.Drawing.Size(133, 13);
+      this.label10.Size = new System.Drawing.Size(177, 17);
       this.label10.TabIndex = 0;
       this.label10.Text = "Replace missing values for";
@@ -354,18 +384,31 @@
       this.tabDataShuffle.Controls.Add(this.lblShuffleProperties);
       this.tabDataShuffle.Location = new System.Drawing.Point(4, 22);
+      this.tabDataShuffle.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabDataShuffle.Name = "tabDataShuffle";
-      this.tabDataShuffle.Padding = new System.Windows.Forms.Padding(3);
-      this.tabDataShuffle.Size = new System.Drawing.Size(711, 138);
+      this.tabDataShuffle.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabDataShuffle.Size = new System.Drawing.Size(951, 176);
       this.tabDataShuffle.TabIndex = 4;
       this.tabDataShuffle.Text = "shuffle";
       this.tabDataShuffle.UseVisualStyleBackColor = true;
       // 
+      // shuffleSeparatelyCheckbox
+      // 
+      this.shuffleSeparatelyCheckbox.AutoSize = true;
+      this.shuffleSeparatelyCheckbox.Location = new System.Drawing.Point(8, 2);
+      this.shuffleSeparatelyCheckbox.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.shuffleSeparatelyCheckbox.Name = "shuffleSeparatelyCheckbox";
+      this.shuffleSeparatelyCheckbox.Size = new System.Drawing.Size(312, 21);
+      this.shuffleSeparatelyCheckbox.TabIndex = 1;
+      this.shuffleSeparatelyCheckbox.Text = "Shuffle training and test partitions separately";
+      this.shuffleSeparatelyCheckbox.UseVisualStyleBackColor = true;
+      // 
       // lblShuffleProperties
       // 
       this.lblShuffleProperties.AutoSize = true;
       this.lblShuffleProperties.Enabled = false;
-      this.lblShuffleProperties.Location = new System.Drawing.Point(3, 3);
+      this.lblShuffleProperties.Location = new System.Drawing.Point(4, 4);
+      this.lblShuffleProperties.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.lblShuffleProperties.Name = "lblShuffleProperties";
-      this.lblShuffleProperties.Size = new System.Drawing.Size(115, 13);
+      this.lblShuffleProperties.Size = new System.Drawing.Size(154, 17);
       this.lblShuffleProperties.TabIndex = 0;
       this.lblShuffleProperties.Text = "No properties available";
@@ -377,7 +420,9 @@
             | System.Windows.Forms.AnchorStyles.Right)));
       this.grpBoxPreview.Controls.Add(this.tabsPreview);
-      this.grpBoxPreview.Location = new System.Drawing.Point(4, 301);
+      this.grpBoxPreview.Location = new System.Drawing.Point(5, 370);
+      this.grpBoxPreview.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.grpBoxPreview.Name = "grpBoxPreview";
-      this.grpBoxPreview.Size = new System.Drawing.Size(732, 193);
+      this.grpBoxPreview.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.grpBoxPreview.Size = new System.Drawing.Size(976, 238);
       this.grpBoxPreview.TabIndex = 4;
       this.grpBoxPreview.TabStop = false;
@@ -395,8 +440,9 @@
       this.tabsPreview.Controls.Add(this.tabPreviewShuffle);
       this.tabsPreview.ItemSize = new System.Drawing.Size(58, 18);
-      this.tabsPreview.Location = new System.Drawing.Point(6, 19);
+      this.tabsPreview.Location = new System.Drawing.Point(8, 23);
+      this.tabsPreview.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabsPreview.Name = "tabsPreview";
       this.tabsPreview.SelectedIndex = 0;
-      this.tabsPreview.Size = new System.Drawing.Size(719, 168);
+      this.tabsPreview.Size = new System.Drawing.Size(959, 207);
       this.tabsPreview.TabIndex = 3;
       // 
@@ -405,7 +451,8 @@
       this.tabPreviewInactive.Controls.Add(this.lblPreviewInActive);
       this.tabPreviewInactive.Location = new System.Drawing.Point(4, 22);
+      this.tabPreviewInactive.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabPreviewInactive.Name = "tabPreviewInactive";
-      this.tabPreviewInactive.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPreviewInactive.Size = new System.Drawing.Size(711, 142);
+      this.tabPreviewInactive.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabPreviewInactive.Size = new System.Drawing.Size(951, 181);
       this.tabPreviewInactive.TabIndex = 5;
       this.tabPreviewInactive.Text = "inactive";
@@ -415,7 +462,8 @@
       // 
       this.lblPreviewInActive.AutoSize = true;
-      this.lblPreviewInActive.Location = new System.Drawing.Point(3, 3);
+      this.lblPreviewInActive.Location = new System.Drawing.Point(4, 4);
+      this.lblPreviewInActive.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.lblPreviewInActive.Name = "lblPreviewInActive";
-      this.lblPreviewInActive.Size = new System.Drawing.Size(361, 39);
+      this.lblPreviewInActive.Size = new System.Drawing.Size(491, 51);
       this.lblPreviewInActive.TabIndex = 2;
       this.lblPreviewInActive.Text = "Filters are active and thus manipulations cannot be applied!\r\n\r\nPlease deactive t" +
@@ -425,9 +473,10 @@
       // tabPreviewDeleteColumnsInfo
       // 
-      this.tabPreviewDeleteColumnsInfo.Controls.Add(this.lblPreviewColumnsInfo);
+      this.tabPreviewDeleteColumnsInfo.Controls.Add(this.panel1);
       this.tabPreviewDeleteColumnsInfo.Location = new System.Drawing.Point(4, 22);
+      this.tabPreviewDeleteColumnsInfo.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabPreviewDeleteColumnsInfo.Name = "tabPreviewDeleteColumnsInfo";
-      this.tabPreviewDeleteColumnsInfo.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPreviewDeleteColumnsInfo.Size = new System.Drawing.Size(711, 142);
+      this.tabPreviewDeleteColumnsInfo.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabPreviewDeleteColumnsInfo.Size = new System.Drawing.Size(951, 181);
       this.tabPreviewDeleteColumnsInfo.TabIndex = 0;
       this.tabPreviewDeleteColumnsInfo.Text = "del columns info";
@@ -437,7 +486,9 @@
       // 
       this.lblPreviewColumnsInfo.AutoSize = true;
-      this.lblPreviewColumnsInfo.Location = new System.Drawing.Point(3, 3);
+      this.lblPreviewColumnsInfo.Dock = System.Windows.Forms.DockStyle.Left;
+      this.lblPreviewColumnsInfo.Location = new System.Drawing.Point(0, 0);
+      this.lblPreviewColumnsInfo.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.lblPreviewColumnsInfo.Name = "lblPreviewColumnsInfo";
-      this.lblPreviewColumnsInfo.Size = new System.Drawing.Size(318, 13);
+      this.lblPreviewColumnsInfo.Size = new System.Drawing.Size(423, 17);
       this.lblPreviewColumnsInfo.TabIndex = 1;
       this.lblPreviewColumnsInfo.Text = "{0} columns with more than {1} % missing values would be deleted";
@@ -445,10 +496,11 @@
       // tabPreviewDeleteColumnsVariance
       // 
+      this.tabPreviewDeleteColumnsVariance.Controls.Add(this.panel2);
       this.tabPreviewDeleteColumnsVariance.Controls.Add(this.label12);
-      this.tabPreviewDeleteColumnsVariance.Controls.Add(this.lblPreviewColumnsVariance);
       this.tabPreviewDeleteColumnsVariance.Location = new System.Drawing.Point(4, 22);
+      this.tabPreviewDeleteColumnsVariance.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabPreviewDeleteColumnsVariance.Name = "tabPreviewDeleteColumnsVariance";
-      this.tabPreviewDeleteColumnsVariance.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPreviewDeleteColumnsVariance.Size = new System.Drawing.Size(711, 142);
+      this.tabPreviewDeleteColumnsVariance.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabPreviewDeleteColumnsVariance.Size = new System.Drawing.Size(951, 181);
       this.tabPreviewDeleteColumnsVariance.TabIndex = 1;
       this.tabPreviewDeleteColumnsVariance.Text = "del columns variance";
@@ -458,7 +510,8 @@
       // 
       this.label12.AutoSize = true;
-      this.label12.Location = new System.Drawing.Point(6, 22);
+      this.label12.Location = new System.Drawing.Point(8, 27);
+      this.label12.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.label12.Name = "label12";
-      this.label12.Size = new System.Drawing.Size(0, 13);
+      this.label12.Size = new System.Drawing.Size(0, 17);
       this.label12.TabIndex = 2;
       // 
@@ -466,7 +519,9 @@
       // 
       this.lblPreviewColumnsVariance.AutoSize = true;
-      this.lblPreviewColumnsVariance.Location = new System.Drawing.Point(3, 3);
+      this.lblPreviewColumnsVariance.Dock = System.Windows.Forms.DockStyle.Left;
+      this.lblPreviewColumnsVariance.Location = new System.Drawing.Point(0, 0);
+      this.lblPreviewColumnsVariance.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.lblPreviewColumnsVariance.Name = "lblPreviewColumnsVariance";
-      this.lblPreviewColumnsVariance.Size = new System.Drawing.Size(301, 13);
+      this.lblPreviewColumnsVariance.Size = new System.Drawing.Size(398, 17);
       this.lblPreviewColumnsVariance.TabIndex = 2;
       this.lblPreviewColumnsVariance.Text = "{0} columns with a variance smaller than {1} would be deleted.";
@@ -476,7 +531,8 @@
       this.tabPreviewDeleteRowsInfo.Controls.Add(this.lblPreviewRowsInfo);
       this.tabPreviewDeleteRowsInfo.Location = new System.Drawing.Point(4, 22);
+      this.tabPreviewDeleteRowsInfo.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabPreviewDeleteRowsInfo.Name = "tabPreviewDeleteRowsInfo";
-      this.tabPreviewDeleteRowsInfo.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPreviewDeleteRowsInfo.Size = new System.Drawing.Size(711, 142);
+      this.tabPreviewDeleteRowsInfo.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabPreviewDeleteRowsInfo.Size = new System.Drawing.Size(951, 181);
       this.tabPreviewDeleteRowsInfo.TabIndex = 2;
       this.tabPreviewDeleteRowsInfo.Text = "del rows info";
@@ -486,7 +542,8 @@
       // 
       this.lblPreviewRowsInfo.AutoSize = true;
-      this.lblPreviewRowsInfo.Location = new System.Drawing.Point(3, 3);
+      this.lblPreviewRowsInfo.Location = new System.Drawing.Point(4, 4);
+      this.lblPreviewRowsInfo.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.lblPreviewRowsInfo.Name = "lblPreviewRowsInfo";
-      this.lblPreviewRowsInfo.Size = new System.Drawing.Size(301, 13);
+      this.lblPreviewRowsInfo.Size = new System.Drawing.Size(400, 17);
       this.lblPreviewRowsInfo.TabIndex = 2;
       this.lblPreviewRowsInfo.Text = "{0} rows with more than {1} % missing values would be deleted";
@@ -496,7 +553,8 @@
       this.tabPreviewReplaceMissingValues.Controls.Add(this.lblPreviewReplaceMissingValues);
       this.tabPreviewReplaceMissingValues.Location = new System.Drawing.Point(4, 22);
+      this.tabPreviewReplaceMissingValues.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabPreviewReplaceMissingValues.Name = "tabPreviewReplaceMissingValues";
-      this.tabPreviewReplaceMissingValues.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPreviewReplaceMissingValues.Size = new System.Drawing.Size(711, 142);
+      this.tabPreviewReplaceMissingValues.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabPreviewReplaceMissingValues.Size = new System.Drawing.Size(951, 181);
       this.tabPreviewReplaceMissingValues.TabIndex = 6;
       this.tabPreviewReplaceMissingValues.Text = "repl missing vals";
@@ -506,7 +564,8 @@
       // 
       this.lblPreviewReplaceMissingValues.AutoSize = true;
-      this.lblPreviewReplaceMissingValues.Location = new System.Drawing.Point(3, 3);
+      this.lblPreviewReplaceMissingValues.Location = new System.Drawing.Point(4, 4);
+      this.lblPreviewReplaceMissingValues.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.lblPreviewReplaceMissingValues.Name = "lblPreviewReplaceMissingValues";
-      this.lblPreviewReplaceMissingValues.Size = new System.Drawing.Size(343, 13);
+      this.lblPreviewReplaceMissingValues.Size = new System.Drawing.Size(449, 17);
       this.lblPreviewReplaceMissingValues.TabIndex = 3;
       this.lblPreviewReplaceMissingValues.Text = "{0} cells detected with missing values which would be replaced with {1}";
@@ -516,7 +575,8 @@
       this.tabPreviewShuffle.Controls.Add(this.lblPreviewShuffle);
       this.tabPreviewShuffle.Location = new System.Drawing.Point(4, 22);
+      this.tabPreviewShuffle.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.tabPreviewShuffle.Name = "tabPreviewShuffle";
-      this.tabPreviewShuffle.Padding = new System.Windows.Forms.Padding(3);
-      this.tabPreviewShuffle.Size = new System.Drawing.Size(711, 142);
+      this.tabPreviewShuffle.Padding = new System.Windows.Forms.Padding(4, 4, 4, 4);
+      this.tabPreviewShuffle.Size = new System.Drawing.Size(951, 181);
       this.tabPreviewShuffle.TabIndex = 4;
       this.tabPreviewShuffle.Text = "shuffle";
@@ -526,7 +586,8 @@
       // 
       this.lblPreviewShuffle.AutoSize = true;
-      this.lblPreviewShuffle.Location = new System.Drawing.Point(3, 3);
+      this.lblPreviewShuffle.Location = new System.Drawing.Point(4, 4);
+      this.lblPreviewShuffle.Margin = new System.Windows.Forms.Padding(4, 0, 4, 0);
       this.lblPreviewShuffle.Name = "lblPreviewShuffle";
-      this.lblPreviewShuffle.Size = new System.Drawing.Size(252, 13);
+      this.lblPreviewShuffle.Size = new System.Drawing.Size(337, 17);
       this.lblPreviewShuffle.TabIndex = 0;
       this.lblPreviewShuffle.Text = "Data will be shuffled randomly - preview not possible";
@@ -539,17 +600,27 @@
       this.label9.TabIndex = 0;
       // 
-      // shuffleSeparatelyCheckbox
-      // 
-      this.shuffleSeparatelyCheckbox.AutoSize = true;
-      this.shuffleSeparatelyCheckbox.Location = new System.Drawing.Point(6, 2);
-      this.shuffleSeparatelyCheckbox.Name = "shuffleSeparatelyCheckbox";
-      this.shuffleSeparatelyCheckbox.Size = new System.Drawing.Size(233, 17);
-      this.shuffleSeparatelyCheckbox.TabIndex = 1;
-      this.shuffleSeparatelyCheckbox.Text = "Shuffle training and test partitions separately";
-      this.shuffleSeparatelyCheckbox.UseVisualStyleBackColor = true;
+      // panel1
+      // 
+      this.panel1.AutoScroll = true;
+      this.panel1.Controls.Add(this.lblPreviewColumnsInfo);
+      this.panel1.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.panel1.Location = new System.Drawing.Point(4, 4);
+      this.panel1.Name = "panel1";
+      this.panel1.Size = new System.Drawing.Size(943, 173);
+      this.panel1.TabIndex = 2;
+      // 
+      // panel2
+      // 
+      this.panel2.AutoScroll = true;
+      this.panel2.Controls.Add(this.lblPreviewColumnsVariance);
+      this.panel2.Dock = System.Windows.Forms.DockStyle.Fill;
+      this.panel2.Location = new System.Drawing.Point(4, 4);
+      this.panel2.Name = "panel2";
+      this.panel2.Size = new System.Drawing.Size(943, 173);
+      this.panel2.TabIndex = 3;
       // 
       // ManipulationView
       // 
-      this.AutoScaleDimensions = new System.Drawing.SizeF(6F, 13F);
+      this.AutoScaleDimensions = new System.Drawing.SizeF(8F, 16F);
       this.AutoScaleMode = System.Windows.Forms.AutoScaleMode.Font;
       this.Controls.Add(this.btnApply);
@@ -557,6 +628,7 @@
       this.Controls.Add(this.grpBoxData);
       this.Controls.Add(this.lstMethods);
+      this.Margin = new System.Windows.Forms.Padding(4, 4, 4, 4);
       this.Name = "ManipulationView";
-      this.Size = new System.Drawing.Size(739, 529);
+      this.Size = new System.Drawing.Size(985, 651);
       this.grpBoxData.ResumeLayout(false);
       this.tabsData.ResumeLayout(false);
@@ -578,5 +650,4 @@
       this.tabPreviewInactive.PerformLayout();
       this.tabPreviewDeleteColumnsInfo.ResumeLayout(false);
-      this.tabPreviewDeleteColumnsInfo.PerformLayout();
       this.tabPreviewDeleteColumnsVariance.ResumeLayout(false);
       this.tabPreviewDeleteColumnsVariance.PerformLayout();
@@ -587,4 +658,8 @@
       this.tabPreviewShuffle.ResumeLayout(false);
       this.tabPreviewShuffle.PerformLayout();
+      this.panel1.ResumeLayout(false);
+      this.panel1.PerformLayout();
+      this.panel2.ResumeLayout(false);
+      this.panel2.PerformLayout();
       this.ResumeLayout(false);
 
@@ -636,4 +711,6 @@
     private System.Windows.Forms.Label lblPreviewInActive;
     private System.Windows.Forms.CheckBox shuffleSeparatelyCheckbox;
+    private System.Windows.Forms.Panel panel1;
+    private System.Windows.Forms.Panel panel2;
   }
 }
Index: branches/DataPreprocessingImprovements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs
===================================================================
--- branches/DataPreprocessingImprovements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs	(revision 12501)
+++ branches/DataPreprocessingImprovements/HeuristicLab.DataPreprocessing.Views/3.4/ManipulationView.cs	(revision 12502)
@@ -23,4 +23,6 @@
 using System.Collections.Generic;
 using System.Drawing;
+using System.Linq;
+using System.Text;
 using System.Windows.Forms;
 using HeuristicLab.Core.Views;
@@ -148,10 +150,24 @@
     private void validateDeleteColumnsInfo() {
       validateDoubleTextBox(txtDeleteColumnsInfo.Text);
-      if (btnApply.Enabled) {
-        int count = Content.ManipulationLogic.ColumnsWithMissingValuesGreater(getDeleteColumnsInfo()).Count;
-        int rowCount = Content.FilterLogic.PreprocessingData.Rows;
-        lblPreviewColumnsInfo.Text = count + " column" + (count > 1 || count == 0 ? "s" : "") + " of " + rowCount + " (" + string.Format("{0:F2}%", 100d / rowCount * count) + ") were detected with more than " + txtDeleteColumnsInfo.Text + "% missing values.";
+      if (btnApply.Enabled)
+      {
+        var filteredColumns = Content.ManipulationLogic.ColumnsWithMissingValuesGreater(getDeleteColumnsInfo());
+        int count = filteredColumns.Count;
+        int columnCount = Content.FilterLogic.PreprocessingData.Columns;
+        lblPreviewColumnsInfo.Text = count + " column" + (count > 1 || count == 0 ? "s" : "") + " of " + columnCount + " (" + string.Format("{0:F2}%", 100d / columnCount * count) + ") were detected with more than " + txtDeleteColumnsInfo.Text + "% missing values.";
         if (count > 0) {
-          lblPreviewColumnsInfo.Text += Environment.NewLine + Environment.NewLine + "Please press the button \"Apply Manipulation\" if you wish to delete those columns.";
+          StringBuilder sb = new StringBuilder();
+          sb.Append(Environment.NewLine);
+          sb.Append("Columns: ");
+          sb.Append(Content.SearchLogic.VariableNames.ElementAt(filteredColumns.ElementAt(0)));
+          for (int i = 1; i < filteredColumns.Count; i++) {
+            string columnName = Content.SearchLogic.VariableNames.ElementAt(filteredColumns.ElementAt(i));
+            sb.Append(", ");
+            sb.Append(columnName);
+          }
+          sb.Append(Environment.NewLine);
+          sb.Append("Please press the button \"Apply Manipulation\" if you wish to delete those columns.");
+
+          lblPreviewColumnsInfo.Text += sb.ToString();
         } else {
           btnApply.Enabled = false;
@@ -165,9 +181,22 @@
       validateDoubleTextBox(txtDeleteColumnsVariance.Text);
       if (btnApply.Enabled) {
-        int count = Content.ManipulationLogic.ColumnsWithVarianceSmaller(getDeleteColumnsVariance()).Count;
-        int rowCount = Content.FilterLogic.PreprocessingData.Rows;
-        lblPreviewColumnsVariance.Text = count + " column" + (count > 1 || count == 0 ? "s" : "") + " of " + rowCount + " (" + string.Format("{0:F2}%", 100d / rowCount * count) + ") were detected with a variance smaller than " + txtDeleteColumnsVariance.Text + ".";
+        var filteredColumns = Content.ManipulationLogic.ColumnsWithVarianceSmaller(getDeleteColumnsVariance());
+        int count = filteredColumns.Count;
+        int columnCount = Content.FilterLogic.PreprocessingData.Columns;
+        lblPreviewColumnsVariance.Text = count + " column" + (count > 1 || count == 0 ? "s" : "") + " of " + columnCount + " (" + string.Format("{0:F2}%", 100d / columnCount * count) + ") were detected with a variance smaller than " + txtDeleteColumnsVariance.Text + ".";
         if (count > 0) {
-          lblPreviewColumnsVariance.Text += Environment.NewLine + Environment.NewLine + "Please press the button \"Apply Manipulation\" if you wish to delete those columns.";
+          StringBuilder sb = new StringBuilder();
+          sb.Append(Environment.NewLine);
+          sb.Append("Columns: ");
+          sb.Append(Content.SearchLogic.VariableNames.ElementAt(filteredColumns.ElementAt(0)));
+          for (int i = 1; i < filteredColumns.Count; i++) {
+            string columnName = Content.SearchLogic.VariableNames.ElementAt(filteredColumns.ElementAt(i));
+            sb.Append(", ");
+            sb.Append(columnName);
+          }
+          sb.Append(Environment.NewLine);
+          sb.Append("Please press the button \"Apply Manipulation\" if you wish to delete those columns.");
+
+          lblPreviewColumnsVariance.Text += sb.ToString();
         } else {
           btnApply.Enabled = false;
